summaryrefslogtreecommitdiff
path: root/coccinelle
diff options
context:
space:
mode:
Diffstat (limited to 'coccinelle')
-rwxr-xr-xcoccinelle/run-coccinelle.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/coccinelle/run-coccinelle.sh b/coccinelle/run-coccinelle.sh
index 22ab66d3dd..520de0ac42 100755
--- a/coccinelle/run-coccinelle.sh
+++ b/coccinelle/run-coccinelle.sh
@@ -5,23 +5,23 @@ files="$(git ls-files ':/*.[ch]')"
args=
case "$1" in
- -i)
- args="$args --in-place"
- shift
- ;;
+ -i)
+ args="$args --in-place"
+ shift
+ ;;
esac
if ! parallel -h >/dev/null; then
- echo 'Please install GNU parallel (package "parallel")'
- exit 1
+ echo 'Please install GNU parallel (package "parallel")'
+ exit 1
fi
for SCRIPT in ${@-$top/coccinelle/*.cocci} ; do
- echo "--x-- Processing $SCRIPT --x--"
- TMPFILE=`mktemp`
- echo "+ spatch --sp-file $SCRIPT $args ..."
- parallel --halt now,fail=1 --keep-order --noswap --max-args=20 \
- spatch --sp-file $SCRIPT $args ::: $files \
- 2>"$TMPFILE" || cat "$TMPFILE"
- echo -e "--x-- Processed $SCRIPT --x--\n"
+ echo "--x-- Processing $SCRIPT --x--"
+ TMPFILE=`mktemp`
+ echo "+ spatch --sp-file $SCRIPT $args ..."
+ parallel --halt now,fail=1 --keep-order --noswap --max-args=20 \
+ spatch --sp-file $SCRIPT $args ::: $files \
+ 2>"$TMPFILE" || cat "$TMPFILE"
+ echo -e "--x-- Processed $SCRIPT --x--\n"
done